Skip to main content
Version: 1.7

Admin - List all system keys

GET 

/admin/list-all-system-keys

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | ResourceViewer

List all system keys, grouped by user_id of the key owner.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Responses

Schema

    keys

    object

    required

    property name*

    KeyMetadata

    attached_policy_id

    object

    anyOf

    string

    is_frozenbooleanrequired
    key_idKeyIdrequired
    key_typeKeyTyperequired

    Represents the various types of cryptographic keys supported in the system.

    Possible values: [NotInititalizedYet, Ecdsa, Ed25519, ExportableEd25519, BIP340, Sr25519, HmacSha256]

    key_users

    object[]

    required

  • Array [

  • usage_permissionKeyUsagePermissionrequired

    Specifies the permission levels for key usage within the system.

    Possible values: [use, admin]

    user_idUserIdrequired
  • ]

  • namestring | nullnullable